
Want to make your project responsive? You can make it easily with this awesome package.

## Features

![Test Image 3](src/3-devices-black.png)

## Getting started


```dart
return const MaterialApp(
    debugShowCheckedModeBanner: false,
    home: Responsive(
        mobile: Scaffold(
        backgroundColor: Colors.redAccent,
        body: Center(
            child: Text('Lorem ipsum dolor sit amet', style: TextStyle(fontSize: 40, color: Colors.white),),
            ),
        ),
        tablet:  Scaffold(
        backgroundColor: Colors.orangeAccent,
        body: Center(
            child: Text('Lorem ipsum dolor sit amet', style: TextStyle(fontSize: 60, color: Colors.white),),
            ),
        ),
        desktop:  Scaffold(
        backgroundColor: Colors.purple,
        body: Center(
            child: Text('Lorem ipsum dolor sit amet', style: TextStyle(fontSize: 125, color: Colors.white,),),
            ),
        ),
    ),
);

```

## Usage

How To Use:

```dart
import 'package:easyresponsive/easyresponsive.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:saalacademy/stateData.dart';

void main() => runApp(const MyApp());

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return const MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Responsive(
          mobile: Scaffold(
            backgroundColor: Colors.redAccent,
            body: Center(
              child: Text('Lorem ipsum dolor sit amet', style: TextStyle(fontSize: 40, color: Colors.white),),
            ),
          ),
          tablet:  Scaffold(
            backgroundColor: Colors.orangeAccent,
            body: Center(
              child: Text('Lorem ipsum dolor sit amet', style: TextStyle(fontSize: 60, color: Colors.white),),
            ),
          ),
          desktop:  Scaffold(
            backgroundColor: Colors.purple,
            body: Center(
              child: Text('Lorem ipsum dolor sit amet', style: TextStyle(fontSize: 125, color: Colors.white,),),
            ),
          ),
        ),
    );
  }
}

```

## Thank You For Using This Package
